
_G[gTable] = {};

local aTmpVal     = gTable;
local aInfoShown  = false;
local aCount      = 0;
cm.SetupTable(_G[aTmpVal]);

-- Called on Init
_G[gTable].OnInit = function(pObj)
	aInfoShown = false;
	aCount     = 0;
	pObj.mCsData:SetVal("aInfoShown", aInfoShown);
end

-- Called after data being loaded from disk
_G[gTable].OnLoad = function(pObj)
	aInfoShown = pObj.mCsData:GetBool("aInfoShown");
	aCount     = 0;
end

-- Called after a level is loaded
_G[gTable].OnLevelLoad = function(pObj)
   pObj.mGobj.mSoundPlayer:PlayMusic("IcMusicOutsides1");
   pObj.mGobj.mSoundPlayer:PlayAmbient("Ambient_BuilderInsides", 10);
end

-- Called after a level is exited
_G[gTable].OnLevelExit = function(pObj)
   pObj.mGobj.mSoundPlayer:ClearMusic(0);
   pObj.mGobj.mSoundPlayer:FadeoutAmbient(20);
end


-- Called on a update
_G[gTable].OnUpdate = function(pObj)

	if not aInfoShown then

		aCount = aCount + 1;
		if aCount == 25 then
		   aCount	  = 0;
			aInfoShown = true;
			pObj.mCsData:SetVal("aInfoShown", aInfoShown);
			--pObj.mPdata:ShowCurLevelInfo();
			pObj.mPdata:ShowCurLevelInfo("PH_SFX_INGAME_06");
		end

	elseif IcGobj.AATETOPAA_BERSAN == 1 and (not pObj.mPdata.mInfo:IsAlive()) then
		aCount = aCount + 1;
		if aCount == 100 then
		   ShowTheEnd(pObj.mPdata);
		end
	end

end

-- Called on a succesful click
_G[gTable].OnClick =  function(pObj, pName, pActorObj, pPolyNum, pX, pY)

	if pName == "" then

   	if pPolyNum == 0 then
         cm.GetShowInfo(pObj, "InfoStr1", "InfoTime1");
      elseif pPolyNum == 1 then
         cm.GetShowInfo(pObj, "InfoStr2", "InfoTime2");
      elseif pPolyNum == 2 then
         cm.GetShowInfo(pObj, "InfoStr3", "InfoTime3");
      elseif pPolyNum == 3 then
         cm.GetShowInfo(pObj, "InfoStr4", "InfoTime4");
      elseif pPolyNum == 4 then
         cm.GetShowInfo(pObj, "InfoStr5", "InfoTime5");
      elseif pPolyNum == 5 then
         cm.GetShowInfo(pObj, "InfoStr6", "InfoTime6");
      end
      return true;

	else
		cm.ObjDoesNotWork(pObj);
		return false;
	end

	return false;
end

-- Called on draw
_G[gTable].OnDraw =  function(pObj, pG)

	local aImg = IcImageWrap(pObj.mSmallImage);
	assert(aImg);

	aRect = aImg:GetCelRect(pObj.mCurCell);
	pG:DrawImage(aImg:GetImage(), pObj.mSmPos.x, pObj.mSmPos.y, aRect);

end


-- Returns the sparkle info
_G[gTable].GetParticleSystemInfo = function(pObj, pPolyNum, pName)
   local aParticleSystemTable	= {};
   aParticleSystemTable[0]		= true;
   aParticleSystemTable[1]		= "PH_PSYS_UNDYING_SPARKLE_BG";
   return aParticleSystemTable;
end

